Subject: RE: Directory problems after fresh install of v1.3.22-1
From: David Balazic <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Date: Tue, 5 Aug 2003 14:51:26 +0200

> ----------
> From: 	Igor Pechtchanski[SMTP:[email-masked]]
> Reply To: 	[email-masked]
> Sent: 	5. avgust 2003 14:42
> To: 	David Balazic
> Cc: 	[email-masked]
> Subject: 	RE: Directory problems after fresh install of v1.3.22-1
> 
> On Tue, 5 Aug 2003, David Balazic wrote:
> 
> > > From: 	Igor Pechtchanski
> > > Reply To: 	[email-masked]
>     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> David, please make sure your mailer honors the Reply-To:.
> 
It does, I added you manually :-(
sorry

> > > Sent: 	5. avgust 2003 14:32
> > > To: 	Max Bowsher
> > > Cc: 	David Balazic; [email-masked]
> > > Subject: 	Re: Directory problems after fresh install of v1.3.22-1
> > >
> > > On Tue, 5 Aug 2003, Max Bowsher wrote:
> > >
> > > > David Balazic wrote:
> > > > >> ----------
> > > > >> From: Max Bowsher[SMTP:[email-masked]]
> > > > >> Sent: 5. avgust 2003 13:55
> > > > >> To: David Balazic; [email-masked]
> > > > >> Subject: Re: Directory problems after fresh install of v1.3.22-1
> > > > >>
> > > > >> David Balazic wrote:
> > > > >>> Here it is :
> > > > >>> ( cygcheck -s -v -r )
> > > > >>
> > > > >> Hmm. That's weird.
> > > > >>
> > > > >> Does X:\cygwin\etc\profile exist?
> > > > >>
> > > > > Yes.
> > > > > Here are the contents :
> > > > ...
> > > > > export PATH="/usr/local/bin:/usr/bin:/bin:$PATH"
> > > >
> > > > Well, that's right.
> > > >
> > > > What does "echo $PATH" run from Cygwin bash show?
> > > >
> > > > Max.
> > >
> > > David,
> > >
> > > Are you running bash as the same user that installed it?
> > No. I installed it as admin, and run it as a regular user.
> > ( I installed it for "All users" )
> 
> Hmm, how about ".\getfacl ." from "x:\cygwin\bin"?
> 
X:\cygwin\bin>getfacl.exe .
# file: .
# owner: ????????
# group: ????????
user::---
group::---
mask:rwx
other:rwx
default:other:rwx

> > >   Are you logging
> > > in as a domain user by any chance?
> > Yes.
> > >   Are your /etc/passwd and /etc/group up
> > > to date?
> > I don't know. What does it mean "up to date" what must be their content
> ?
> 
> They should have an entry for the user you log in as.  Since you installed
> as a different user (admin), mkpasswd will not have put in the entry for
> the domain user.  Try running "x:\cygwin\bin\mkpasswd -u <youruser> -d >>
> passwd" from "x:\cygwin\etc".
I did. Does not seem to make any difference.

> > >   Please run "c:\cygwin\bin\ls.exe -l /bin/ls" from a cmd.exe
> > > prompt and post the output.
> >
> > It is on drive X:
> > C:\>x:\cygwin\bin\ls.exe -l /bin/ls
> > /usr/bin/ls: /bin/ls: No such file or directory
> 
> Okay, try ".\ls.exe .\ls.exe" from "x:\cygwin\bin"?
X:\cygwin\bin>.\ls.exe .\ls.exe
.\ls.exe
> 	Igor
> P.S. All of the above commands should be run from a cmd.exe prompt, not
> from bash.
> -- 
> 				http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_		[email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
>      |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski, Ph.D.
>     '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
> 
> "I have since come to realize that being between your mentor and his route
> to the bathroom is a major career booster."  -- Patrick Naughton
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/